Skip to main content
PUT
Set

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

user_id
string
required

The userId field.

Body

application/json

SetAppUserOwnersV2Request is the request for setting the owners of an app user for a given role.

appEntitlementRefs
App Entitlement Ref · object[] | null

The appEntitlementRefs field.

roleSlug
string

The roleSlug field.

userRefs
User Ref · object[] | null

The userRefs field.

Response

200 - application/json

SetAppUserOwnersV2Response is the empty response for setting app user owners.

SetAppUserOwnersV2Response is the empty response for setting app user owners.